import 'package:flutter/material.dart';

class StoryReplyWidget extends StatefulWidget {
  StoryReplyWidget({Key key}) : super(key: key);

  @override
  _StoryReplyWidgetState createState() => _StoryReplyWidgetState();
}

class _StoryReplyWidgetState extends State<StoryReplyWidget> {
  @override
  Widget build(BuildContext context) {
    return Container(
      height: 45.0,
      child: ListView(
        scrollDirection: Axis.horizontal,
        children: <Widget>[
          Container(
            margin: EdgeInsets.symmetric(horizontal: 12.0),
            decoration: BoxDecoration(
              color: Colors.black26,
              border: Border.all(color: Colors.white, width: 1.5),
              borderRadius: BorderRadius.circular(25.0),
            ),
            padding: EdgeInsets.symmetric(horizontal: 16.0),
            width: MediaQuery.of(context).size.width * 2.5 / 4,
            alignment: Alignment.centerLeft,
            child: Text(
              "Send Message",
              style: TextStyle(
                  fontSize: 14.0,
                  fontWeight: FontWeight.w500,
                  color: Colors.white),
            ),
          ),
          InkWell(
            onTap: () {},
            child: Padding(
              padding: const EdgeInsets.all(8.0),
              child: Center(
                  child: Text(
                "😂",
                style: TextStyle(fontSize: 22.0),
              )),
            ),
          ),
          InkWell(
            onTap: () {},
            child: Padding(
              padding: const EdgeInsets.all(8.0),
              child: Center(
                  child: Text(
                "😀",
                style: TextStyle(fontSize: 22.0),
              )),
            ),
          ),
          InkWell(
            onTap: () {},
            child: Padding(
              padding: const EdgeInsets.all(8.0),
              child: Center(
                  child: Text(
                "😍",
                style: TextStyle(fontSize: 22.0),
              )),
            ),
          ),
          InkWell(
            onTap: () {},
            child: Padding(
              padding: const EdgeInsets.all(8.0),
              child: Center(
                  child: Text(
                "😘",
                style: TextStyle(fontSize: 22.0),
              )),
            ),
          ),
        ],
      ),
    );
  }
}
